Bug 1568990 - RuntimeError: NOTABUG: testing exception handling
Summary: RuntimeError: NOTABUG: testing exception handling
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:21b5c0aba8e1ae7c128f1fe18f4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 13:31 UTC by Lukas Ruzicka
Modified: 2019-05-28 19:55 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:55:23 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (2.18 MB, text/plain)
2018-04-18 13:31 UTC, Lukas Ruzicka
no flags Details
File: anaconda.log (48.76 KB, text/plain)
2018-04-18 13:31 UTC, Lukas Ruzicka
no flags Details
File: dbus.log (3.17 KB, text/plain)
2018-04-18 13:31 UTC, Lukas Ruzicka
no flags Details
File: dnf.librepo.log (720.10 KB, text/plain)
2018-04-18 13:31 UTC, Lukas Ruzicka
no flags Details
File: environ (636 bytes, text/plain)
2018-04-18 13:31 UTC, Lukas Ruzicka
no flags Details
File: hawkey.log (5.40 KB, text/plain)
2018-04-18 13:31 UTC, Lukas Ruzicka
no flags Details
File: lorax-packages.log (25.45 KB, text/plain)
2018-04-18 13:31 UTC, Lukas Ruzicka
no flags Details
File: lsblk_output (1.66 KB, text/plain)
2018-04-18 13:31 UTC, Lukas Ruzicka
no flags Details
File: lvm.log (566.44 KB, text/plain)
2018-04-18 13:31 UTC, Lukas Ruzicka
no flags Details
File: nmcli_dev_list (1.60 KB, text/plain)
2018-04-18 13:31 UTC, Lukas Ruzicka
no flags Details
File: os_info (529 bytes, text/plain)
2018-04-18 13:31 UTC, Lukas Ruzicka
no flags Details
File: program.log (68.83 KB, text/plain)
2018-04-18 13:31 UTC, Lukas Ruzicka
no flags Details
File: storage.log (161.84 KB, text/plain)
2018-04-18 13:31 UTC, Lukas Ruzicka
no flags Details
File: syslog (283.80 KB, text/plain)
2018-04-18 13:32 UTC, Lukas Ruzicka
no flags Details
File: ifcfg.log (2.99 KB, text/plain)
2018-04-18 13:32 UTC, Lukas Ruzicka
no flags Details
File: packaging.log (185.59 KB, text/plain)
2018-04-18 13:32 UTC, Lukas Ruzicka
no flags Details

Description Lukas Ruzicka 2018-04-18 13:31:07 UTC
Description of problem:
I tried to install Fedora when it crashed. This was just a test.

Version-Release number of selected component:
anaconda-28.22.7

The following was filed automatically by anaconda:
anaconda 28.22.7 exception report
Traceback (most recent call first):
  File "str_eval", line 3, in f1524058094
    #
  File "str_eval", line 5, in <module>
    # All rights reserved.
  File "/usr/lib64/python3.6/site-packages/pyanaconda/exception.py", line 376, in raise_exception
    eval(compile(code, "str_eval", "exec"))
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threading.py", line 291, in run
    threading.Thread.run(self)
RuntimeError: NOTABUG: testing exception handling

Additional info:
addons:         com_redhat_kdump, com_redhat_docker
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-E-dvd-x86_64-28 quiet inst.text
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.16.1-300.fc28.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        28

Comment 1 Lukas Ruzicka 2018-04-18 13:31:26 UTC
Created attachment 1423570 [details]
File: anaconda-tb

Comment 2 Lukas Ruzicka 2018-04-18 13:31:28 UTC
Created attachment 1423571 [details]
File: anaconda.log

Comment 3 Lukas Ruzicka 2018-04-18 13:31:30 UTC
Created attachment 1423572 [details]
File: dbus.log

Comment 4 Lukas Ruzicka 2018-04-18 13:31:36 UTC
Created attachment 1423573 [details]
File: dnf.librepo.log

Comment 5 Lukas Ruzicka 2018-04-18 13:31:37 UTC
Created attachment 1423574 [details]
File: environ

Comment 6 Lukas Ruzicka 2018-04-18 13:31:39 UTC
Created attachment 1423575 [details]
File: hawkey.log

Comment 7 Lukas Ruzicka 2018-04-18 13:31:41 UTC
Created attachment 1423576 [details]
File: lorax-packages.log

Comment 8 Lukas Ruzicka 2018-04-18 13:31:42 UTC
Created attachment 1423577 [details]
File: lsblk_output

Comment 9 Lukas Ruzicka 2018-04-18 13:31:49 UTC
Created attachment 1423578 [details]
File: lvm.log

Comment 10 Lukas Ruzicka 2018-04-18 13:31:51 UTC
Created attachment 1423579 [details]
File: nmcli_dev_list

Comment 11 Lukas Ruzicka 2018-04-18 13:31:52 UTC
Created attachment 1423580 [details]
File: os_info

Comment 12 Lukas Ruzicka 2018-04-18 13:31:54 UTC
Created attachment 1423581 [details]
File: program.log

Comment 13 Lukas Ruzicka 2018-04-18 13:31:57 UTC
Created attachment 1423582 [details]
File: storage.log

Comment 14 Lukas Ruzicka 2018-04-18 13:32:00 UTC
Created attachment 1423583 [details]
File: syslog

Comment 15 Lukas Ruzicka 2018-04-18 13:32:01 UTC
Created attachment 1423584 [details]
File: ifcfg.log

Comment 16 Lukas Ruzicka 2018-04-18 13:32:04 UTC
Created attachment 1423585 [details]
File: packaging.log

Comment 17 Ben Cotton 2019-05-02 21:54:54 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Ben Cotton 2019-05-28 19:55:23 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.